The Synthesis ToolKit in C++ (STK)

Home Information Classes Download Usage Mail List Requirements Links FAQ Tutorial

Public Attributes | List of all members
RtAudio::DeviceInfo Struct Reference

The public device information structure for returning queried values. More...

`#include <RtAudio.h>`

## Public Attributes
unsigned int | ID {}
std::string | name
unsigned int | outputChannels {}
unsigned int | inputChannels {}
unsigned int | duplexChannels {}
bool | isDefaultOutput {false}
bool | isDefaultInput {false}
std::vector< unsigned int > | sampleRates
unsigned int | currentSampleRate {}
unsigned int | preferredSampleRate {}
RtAudioFormat | nativeFormats {}

## Detailed Description

The public device information structure for returning queried values.

## Member Data Documentation

## ◆ ID

unsigned int RtAudio::DeviceInfo::ID {}

Device ID used to specify a device to RtAudio.

288{};

## ◆ name

std::string RtAudio::DeviceInfo::name

Character string device name.

## ◆ outputChannels

unsigned int RtAudio::DeviceInfo::outputChannels {}

Maximum output channels supported by device.

290{};

## ◆ inputChannels

unsigned int RtAudio::DeviceInfo::inputChannels {}

Maximum input channels supported by device.

291{};

## ◆ duplexChannels

unsigned int RtAudio::DeviceInfo::duplexChannels {}

Maximum simultaneous input/output channels supported by device.

292{};

## ◆ isDefaultOutput

bool RtAudio::DeviceInfo::isDefaultOutput {false}

true if this is the default output device.

293{false};

## ◆ isDefaultInput

bool RtAudio::DeviceInfo::isDefaultInput {false}

true if this is the default input device.

294{false};

## ◆ sampleRates

std::vector<unsigned int> RtAudio::DeviceInfo::sampleRates

Supported sample rates (queried from list of standard rates).

## ◆ currentSampleRate

unsigned int RtAudio::DeviceInfo::currentSampleRate {}

Current sample rate, system sample rate as currently configured.

296{};

## ◆ preferredSampleRate

unsigned int RtAudio::DeviceInfo::preferredSampleRate {}

Preferred sample rate, e.g. for WASAPI the system sample rate.

297{};

## ◆ nativeFormats

RtAudioFormat RtAudio::DeviceInfo::nativeFormats {}

Bit mask of supported data formats.

298{};

The documentation for this struct was generated from the following file:

- RtAudio.h

The Synthesis ToolKit in C++ (STK)
©1995--2023 Perry R. Cook and Gary P. Scavone. All Rights Reserved.